{% extends 'base.html' %} 
{% load static %} 

{% block meta %}
<title>Update transaksi makan</title>

<style>
  button {
    margin-top: 20px;
    height: 30px;
    width: 120px;
    font-size: 20px;
  }

  #paket {
    margin-top: 10px;
  }

  .container-dropdown {
    margin-bottom: 20px;
  }
</style>
{% endblock meta%} 

{% block content %}

<h1>Form Ubah Transaksi Makan</h1>
<div class="container">
  {% if updatable %}
  <h2>Id Transaksi: {{id_transaksi}}</h2>
  <h2>Id Transaksi Makan: {{id_transaksimakan}}</h2>
  <h2>Kode Hotel: {{kode_hotel}}</h2>

  <h2>Pesanan sebelumnya:</h2>
  <h2>Kode paket:</h2>
  <ul>
    {% for order in ordered %}
    <li>{{order.4}} - {{order.7}}</li>
    {% endfor %}
  </ul>

  <h2>Pesanan tambahan:</h2>

  <div class="section-list-paket">
    <div class="container-dropdown">
      <select name="paket" id="paket">
        {% for paket in list_paket %}
        <option value="{{paket.0}}-{{paket.1}}">
          {{paket.1}} - {{paket.2}}
        </option>
        {% endfor %}
      </select>
      <button class="button-delete" onclick="$(this).parent().remove();">
        Delete
      </button>
    </div>
  </div>

  <br />
  <button class="button-tambah">Tambah</button>
  <br />
  <button id="button-simpan">Simpan</button>

  {% else %}
  <h3>Tidak dapat diupdate karena transaksi sudah lunas!</h3>
  {% endif %}
</div>

<script
  src="https://code.jquery.com/jquery-3.6.0.js"
  integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk="
  crossorigin="anonymous"
></script>
<script src="{% static 'js/update-transaksi.js'%}"></script>

{% endblock content %}